
QGIS Application - Bug report #21389

Qgis application crash

2019-02-26 10:38 AM - Daniele Gambetti

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 29206

Description

User Feedback

I work with consistent punctual shape files, usually with 10.000/20.000 records and a lot of information.

Every time in editing mode i select some points and then I try to deselect some of this points through the attribute table (ctrl + click), Qgis

application crash.

to prevent the situation from happening, I have to save the editing and deselect the points outside the editing mode

I also noticed that this version of qgis if you work on a consistent amount of data, tends to crash often, simply opening the attribute table

after closing it, or through simple actions

Report Details

Crash ID: 327c0dc78cc4e115d9c4a5ddf841c2ebe99ec826

Stack Trace

QModelIndex::flags :

QAbstractItemView::currentChanged :

QMetaObject::activate :

QItemSelectionModel::`default constructor closure' :

QItemSelectionModel::qt_static_metacall :

QMetaObject::activate :

QAbstractItemModel::beginRemoveRows :

QSortFilterProxyModel::removeRows :

QSortFilterProxyModel::flags :

QSortFilterProxyModel::filterRole :

QSortFilterProxyModel::invalidateFilter :

QMetaObject::activate :

QgsVectorLayer::selectionChanged :

QgsVectorLayer::deselect :

QgsFeatureSelectionModel::enableSync :

QgsAttributeTableView::eventFilter :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :
QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: commit:f6ddc62fdb

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

History

#1 - 2019-03-01 07:55 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

Please try with a new/clean profile (no 3rd party plugins installed). If the problem persist please attach a sample project with data.

#2 - 2019-03-17 09:26 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback. Please reopen if necessary.
